function buttonshowallPGA(hObject, eventdata, Empty_Button, Buttons, AxesSOL, lcs, LCS, RegSlider, RegText, usmn, usmf)
data = get(Empty_Button,'UserData');

data.isred = 0;
% data.issol = 0;
data.islive = 0;
data.livet = [];
set(usmn,'Value',0);
set(usmf,'Value',1);
SliderOnOffPGA(RegSlider, RegText, data, 0);
set(Empty_Button,'UserData',data);

if (isfield(data,'isSOL') == 1) && (data.isSOL == 1)
    lc = [];
    lcf = [];
    yl = [inf, -inf];
    
    s = data.noc;
    
    for i=1:s
        lc(i,:) = lcs(mod(i-1,size(lcs,1))+1,:);
%         lcf(i,:) = (lc(i,:) > 0)+.8*(lc(i,:) == 0);
        
        yl = [min(yl(1), min(data.SOL(i).a)), max(yl(2), max(data.SOL(i).a))];
    end
    yl = [min(0,yl(1)), yl(2)*1.1];

    axes(AxesSOL);
    lgntxt = {};
    for i=1:s
        plot(AxesSOL, data.x([1 end]), (i-1)*data.step*[1 1], 'k:','Linewidth',0.5);
        hold(AxesSOL, 'on');
        plot(AxesSOL, data.x, (i-1)*data.step+data.SOL(i).a, 'color', lc(i,:),'Linewidth',2);
        if data.SOL(i).xbd(1) < data.SOL(i).xbd(2)
            plot(AxesSOL, data.x(data.SOL(i).ifir:data.SOL(i).ilas), (i-1)*data.step+data.SOL(i).a(data.SOL(i).ifir:data.SOL(i).ilas), 'color', lc(i,:),'Linewidth',5,'markersize',12);
            [tey,idmax] = max((i-1)*data.step+data.SOL(i).a(data.SOL(i).ifir:data.SOL(i).ilas));
            tex = data.x(data.SOL(i).ifir+idmax)+(max(data.x)-min(data.x))/100;
            lgntxt{i} = num2str(round(tex));
        else
            plot(AxesSOL, data.x(data.SOL(i).ifir), (i-1)*data.step+data.SOL(i).a(data.SOL(i).ifir),'*', 'color', lc(i,:),'Linewidth',4,'markersize',12);
            lgntxt{i} = num2str(round(data.SOL(i).xbd(1)));

            if abs(data.x(data.SOL(i).ifir)-min(data.x))*0.1 < abs(data.x(data.SOL(i).ifir)-max(data.x))*0.9
                tex = data.x(data.SOL(i).ifir)+(max(data.x)-min(data.x))/100;
            else
                tex = data.x(data.SOL(i).ifir)-(max(data.x)-min(data.x))/25;
            end
            tey = (i-1)*data.step+data.SOL(i).a(data.SOL(i).ifir);
        end
        %
        text(AxesSOL,tex,tey,lgntxt{i});
        autodetect{i} = detectallpeaks(data.x,data.SOL(i).a,1,data.SOL(i).ifir,data.SOL(i).ilas);                               
        for l=1:length(autodetect{i})
            text(AxesSOL,data.x(autodetect{i}(l)),(i-1)*data.step+data.SOL(i).a(autodetect{i}(l)),num2str(round(data.x(autodetect{i}(l)))));
        end
        %
    end
    
    hold(AxesSOL, 'off');
    axis(AxesSOL,'tight');
    yl = get(AxesSOL,'ylim');
    set(AxesSOL, 'Xlim', [min(data.x), max(data.x)], 'ylim',yl+[0 0.1],'ytick',[]);
    xlabel(AxesSOL,'channel');
    title(AxesSOL, 'All spectra');

    
end
